<?php
/**
 * Multipurpose Startup Theme Customizer
 * @package Multipurpose Startup
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

function multipurpose_startup_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'multipurpose_startup_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'multipurpose-startup' ),
	    'description' => __( 'Description of what this panel does.', 'multipurpose-startup' ),
	) );

	// Add the Theme Color Option section.
	$wp_customize->add_section( 'multipurpose_startup_theme_color_option', array( 
		'panel' => 'multipurpose_startup_panel_id', 
		'title' => esc_html__( 'Global Color Settings', 'multipurpose-startup' ) 
	) );

  	$wp_customize->add_setting( 'multipurpose_startup_first_theme_color', array(
	    'default' => '#ffdd59',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_first_theme_color', array(
  		'label' => 'Color Option 1',
	    'description' => __('One can change complete theme global color settings on just one click.', 'multipurpose-startup'),
	    'section' => 'multipurpose_startup_theme_color_option',
	    'settings' => 'multipurpose_startup_first_theme_color',
  	)));

  	$wp_customize->add_setting( 'multipurpose_startup_second_theme_color', array(
	    'default' => '#0f3661',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_second_theme_color', array(
  		'label' => 'Color Option 2',
	    'description' => __('One can change complete theme global color settings on just one click.', 'multipurpose-startup'),
	    'section' => 'multipurpose_startup_theme_color_option',
	    'settings' => 'multipurpose_startup_second_theme_color',
  	)));

	// font array
	$font_array = array(
        '' => 'No Fonts',
        'Abril Fatface' => 'Abril Fatface',
        'Acme' => 'Acme',
        'Anton' => 'Anton',
        'Architects Daughter' => 'Architects Daughter',
        'Arimo' => 'Arimo',
        'Arsenal' => 'Arsenal', 
        'Arvo' => 'Arvo',
        'Alegreya' => 'Alegreya',
        'Alfa Slab One' => 'Alfa Slab One',
        'Averia Serif Libre' => 'Averia Serif Libre',
        'Bangers' => 'Bangers', 
        'Boogaloo' => 'Boogaloo',
        'Bad Script' => 'Bad Script',
        'Bitter' => 'Bitter',
        'Bree Serif' => 'Bree Serif',
        'BenchNine' => 'BenchNine', 
        'Cabin' => 'Cabin', 
        'Cardo' => 'Cardo',
        'Courgette' => 'Courgette',
        'Cherry Swash' => 'Cherry Swash',
        'Cormorant Garamond' => 'Cormorant Garamond',
        'Crimson Text' => 'Crimson Text',
        'Cuprum' => 'Cuprum', 
        'Cookie' => 'Cookie', 
        'Chewy' => 'Chewy', 
        'Days One' => 'Days One', 
        'Dosis' => 'Dosis',
        'Droid Sans' => 'Droid Sans',
        'Economica' => 'Economica',
        'Fredoka One' => 'Fredoka One',
        'Fjalla One' => 'Fjalla One',
        'Francois One' => 'Francois One',
        'Frank Ruhl Libre' => 'Frank Ruhl Libre',
        'Gloria Hallelujah' => 'Gloria Hallelujah',
        'Great Vibes' => 'Great Vibes',
        'Handlee' => 'Handlee', 
        'Hammersmith One' => 'Hammersmith One',
        'Inconsolata' => 'Inconsolata', 
        'Indie Flower' => 'Indie Flower', 
        'IM Fell English SC' => 'IM Fell English SC', 
        'Julius Sans One' => 'Julius Sans One',
        'Josefin Slab' => 'Josefin Slab', 
        'Josefin Sans' => 'Josefin Sans', 
        'Kanit' => 'Kanit', 
        'Lobster' => 'Lobster', 
        'Lato' => 'Lato',
        'Lora' => 'Lora', 
        'Libre Baskerville' =>'Libre Baskerville',
        'Lobster Two' => 'Lobster Two',
        'Merriweather' =>'Merriweather', 
        'Monda' => 'Monda',
        'Montserrat' => 'Montserrat',
        'Muli' => 'Muli', 
        'Marck Script' => 'Marck Script',
        'Noto Serif' => 'Noto Serif',
        'Open Sans' => 'Open Sans', 
        'Overpass' => 'Overpass',
        'Overpass Mono' => 'Overpass Mono',
        'Oxygen' => 'Oxygen', 
        'Orbitron' => 'Orbitron', 
        'Patua One' => 'Patua One', 
        'Pacifico' => 'Pacifico',
        'Padauk' => 'Padauk', 
        'Playball' => 'Playball',
        'Playfair Display' => 'Playfair Display', 
        'PT Sans' => 'PT Sans',
        'Philosopher' => 'Philosopher',
        'Permanent Marker' => 'Permanent Marker',
        'Poiret One' => 'Poiret One', 
        'Quicksand' => 'Quicksand', 
        'Quattrocento Sans' => 'Quattrocento Sans', 
        'Raleway' => 'Raleway', 
        'Rubik' => 'Rubik', 
        'Rokkitt' => 'Rokkitt', 
        'Russo One' => 'Russo One', 
        'Righteous' => 'Righteous', 
        'Slabo' => 'Slabo', 
        'Source Sans Pro' => 'Source Sans Pro', 
        'Shadows Into Light Two' =>'Shadows Into Light Two', 
        'Shadows Into Light' => 'Shadows Into Light', 
        'Sacramento' => 'Sacramento', 
        'Shrikhand' => 'Shrikhand', 
        'Tangerine' => 'Tangerine',
        'Ubuntu' => 'Ubuntu', 
        'VT323' => 'VT323', 
        'Varela Round' => 'Varela Round', 
        'Vampiro One' => 'Vampiro One',
        'Vollkorn' => 'Vollkorn',
        'Volkhov' => 'Volkhov', 
        'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    );

	//Typography
	$wp_customize->add_section( 'multipurpose_startup_typography', array(
    	'title'      => __( 'Typography', 'multipurpose-startup' ),
		'priority'   => 30,
		'panel' => 'multipurpose_startup_panel_id'
	) );
	
	// This is Paragraph Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_paragraph_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_paragraph_color', array(
		'label' => __('Paragraph Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_paragraph_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_paragraph_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( 'Paragraph Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting('multipurpose_startup_paragraph_font_size',array(
		'default'	=> '12px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_startup_paragraph_font_size',array(
		'label'	=> __('Paragraph Font Size','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_typography',
		'setting'	=> 'multipurpose_startup_paragraph_font_size',
		'type'	=> 'text'
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_atag_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_atag_color', array(
		'label' => __('"a" Tag Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_atag_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_atag_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( '"a" Tag Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_li_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_li_color', array(
		'label' => __('"li" Tag Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_li_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_li_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( '"li" Tag Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_h1_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_h1_color', array(
		'label' => __('H1 Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_h1_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_h1_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( 'H1 Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('multipurpose_startup_h1_font_size',array(
		'default'	=> '50px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_startup_h1_font_size',array(
		'label'	=> __('H1 Font Size','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_typography',
		'setting'	=> 'multipurpose_startup_h1_font_size',
		'type'	=> 'text'
	));

	// This is H2 Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_h2_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_h2_color', array(
		'label' => __('h2 Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_h2_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_h2_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( 'h2 Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('multipurpose_startup_h2_font_size',array(
		'default'	=> '45px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_startup_h2_font_size',array(
		'label'	=> __('h2 Font Size','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_typography',
		'setting'	=> 'multipurpose_startup_h2_font_size',
		'type'	=> 'text'
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_h3_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_h3_color', array(
		'label' => __('h3 Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_h3_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_h3_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( 'h3 Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('multipurpose_startup_h3_font_size',array(
		'default'	=> '36px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_startup_h3_font_size',array(
		'label'	=> __('h3 Font Size','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_typography',
		'setting'	=> 'multipurpose_startup_h3_font_size',
		'type'	=> 'text'
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_h4_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_h4_color', array(
		'label' => __('h4 Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_h4_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_h4_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( 'h4 Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('multipurpose_startup_h4_font_size',array(
		'default'	=> '30px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_startup_h4_font_size',array(
		'label'	=> __('h4 Font Size','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_typography',
		'setting'	=> 'multipurpose_startup_h4_font_size',
		'type'	=> 'text'
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_h5_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_h5_color', array(
		'label' => __('h5 Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_h5_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_h5_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( 'h5 Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('multipurpose_startup_h5_font_size',array(
		'default'	=> '25px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_startup_h5_font_size',array(
		'label'	=> __('h5 Font Size','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_typography',
		'setting'	=> 'multipurpose_startup_h5_font_size',
		'type'	=> 'text'
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting( 'multipurpose_startup_h6_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'multipurpose_startup_h6_color', array(
		'label' => __('h6 Color', 'multipurpose-startup'),
		'section' => 'multipurpose_startup_typography',
		'settings' => 'multipurpose_startup_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_startup_h6_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'multipurpose_startup_sanitize_choices'
	));
	$wp_customize->add_control(
	    'multipurpose_startup_h6_font_family', array(
	    'section'  => 'multipurpose_startup_typography',
	    'label'    => __( 'h6 Fonts','multipurpose-startup'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('multipurpose_startup_h6_font_size',array(
		'default'	=> '18px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('multipurpose_startup_h6_font_size',array(
		'label'	=> __('h6 Font Size','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_typography',
		'setting'	=> 'multipurpose_startup_h6_font_size',
		'type'	=> 'text'
	));

	//layout setting
	$wp_customize->add_section( 'multipurpose_startup_theme_layout', array(
    	'title'      => __( 'Layout Settings', 'multipurpose-startup' ),
		'priority'   => null,
		'panel' => 'multipurpose_startup_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('multipurpose_startup_layout',array(
        'default' => __( 'Right Sidebar', 'multipurpose-startup' ),
        'sanitize_callback' => 'multipurpose_startup_sanitize_choices'	        
		) 
	);

	$wp_customize->add_control('multipurpose_startup_layout',
	    array(
	        'type' => 'radio',
	        'label' => __( 'Do you want this section', 'multipurpose-startup' ),
	        'section' => 'multipurpose_startup_theme_layout',
	        'choices' => array(
	            'Left Sidebar' => __('Left Sidebar','multipurpose-startup'),
	            'Right Sidebar' => __('Right Sidebar','multipurpose-startup'),
	            'One Column' => __('One Column','multipurpose-startup'),
	            'Three Columns' => __('Three Columns','multipurpose-startup'),
	            'Four Columns' => __('Four Columns','multipurpose-startup'),
	            'Grid Layout' => __('Grid Layout','multipurpose-startup')
	        ),
	    )
    );

    //Social Icons(topbar)
	$wp_customize->add_section('multipurpose_startup_top_header',array(
		'title'	=> __('Top Header','multipurpose-startup'),
		'description'	=> __('Add Header Content here','multipurpose-startup'),
		'priority'	=> null,
		'panel' => 'multipurpose_startup_panel_id',
	));

	$wp_customize->add_setting('multipurpose_startup_time',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_time',array(
		'label'	=> __('Add Time','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_time',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_facebook',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_facebook',array(
		'label'	=> __('Add Facebook link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_facebook',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('multipurpose_startup_twitter',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_twitter',array(
		'label'	=> __('Add Twitter link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_twitter',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multipurpose_startup_google',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_google',array(
		'label'	=> __('Add Google Plus link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_google',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multipurpose_startup_pintrest',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_pintrest',array(
		'label'	=> __('Add Pintrest link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_pintrest',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multipurpose_startup_insta',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_insta',array(
		'label'	=> __('Add Instagram link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_insta',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multipurpose_startup_linkdin',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_linkdin',array(
		'label'	=> __('Add Linkdin link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_linkdin',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('multipurpose_startup_youtube',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_youtube',array(
		'label'	=> __('Add Youtube link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_top_header',
		'setting'	=> 'multipurpose_startup_youtube',
		'type'	=> 'url'
	));

	//Topbar section
	$wp_customize->add_section('multipurpose_startup_topbar_icon',array(
		'title'	=> __('Contact Details','multipurpose-startup'),
		'description'	=> __('Add Header Content here','multipurpose-startup'),
		'priority'	=> null,
		'panel' => 'multipurpose_startup_panel_id',
	));

	$wp_customize->add_setting('multipurpose_startup_address_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multipurpose_startup_address_text',array(
		'label'	=> __('Add Adrress Text','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_address_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_address',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_address',array(
		'label'	=> __('Add Address','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_address',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_email_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multipurpose_startup_email_text',array(
		'label'	=> __('Add Email Text','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_email_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_email',array(
		'label'	=> __('Add Email Address','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_email',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_call_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_call_text',array(
		'label'	=> __('Add Contact Text','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_call_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_call_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_call_number',array(
		'label'	=> __('Add Contact Number','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_call_number',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_button_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_button_text',array(
		'label'	=> __('Add Button Text','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_button_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_startup_button_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_startup_button_link',array(
		'label'	=> __('Add Button Link','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_topbar_icon',
		'setting'	=> 'multipurpose_startup_button_link',
		'type'		=> 'url'
	));

	//home page slider
	$wp_customize->add_section( 'multipurpose_startup_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'multipurpose-startup' ),
		'priority'   => null,
		'panel' => 'multipurpose_startup_panel_id'
	) );

	$wp_customize->add_setting('multipurpose_startup_slider_arrows',array(
      	'default' => 'true',
      	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('multipurpose_startup_slider_arrows',array(
      	'type' => 'checkbox',
      	'label' => __('Show / Hide slider','multipurpose-startup'),
      	'section' => 'multipurpose_startup_slider_section',
	));

	for ( $count = 1; $count <= 4; $count++ ) {

		// Add color scheme setting and control.
		$wp_customize->add_setting( 'multipurpose_startup_slider_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'multipurpose_startup_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'multipurpose_startup_slider_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'multipurpose-startup' ),
			'section'  => 'multipurpose_startup_slider_section',
			'type'     => 'dropdown-pages'
		) );
	}

	//Startup Section
	$wp_customize->add_section('multipurpose_startup_startup',array(
		'title'	=> __('Who We Are Section','multipurpose-startup'),
		'description'	=> __('Add Who We Are sections below.','multipurpose-startup'),
		'panel' => 'multipurpose_startup_panel_id',
	));

	$wp_customize->add_setting('multipurpose_startup_startup_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_startup_title',array(
		'label'	=> __('Section Title','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_startup',
		'type'		=> 'text'
	));

	$args = array('numberposts' => -1);
	$post_list = get_posts($args);
	$i = 0;
	$pst[]='Select';	
	foreach($post_list as $post){
		$pst[$post->post_title] = $post->post_title;
	}

	$wp_customize->add_setting('multipurpose_startup_startup_post',array(
		'sanitize_callback' => 'multipurpose_startup_sanitize_choices',
	));
	$wp_customize->add_control('multipurpose_startup_startup_post',array(
		'type'    => 'select',
		'choices' => $pst,
		'label' => __('Select post','multipurpose-startup'),
		'section' => 'multipurpose_startup_startup',
	));

	//footer text
	$wp_customize->add_section('multipurpose_startup_footer_section',array(
		'title'	=> __('Footer Text','multipurpose-startup'),
		'description'	=> __('Add some text for footer like copyright etc.','multipurpose-startup'),
		'panel' => 'multipurpose_startup_panel_id'
	));
	
	$wp_customize->add_setting('multipurpose_startup_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_startup_text',array(
		'label'	=> __('Copyright Text','multipurpose-startup'),
		'section'	=> 'multipurpose_startup_footer_section',
		'type'		=> 'text'
	));	
}
add_action( 'customize_register', 'multipurpose_startup_customize_register' );	

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Multipurpose_Startup_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Multipurpose_Startup_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Multipurpose_Startup_Customize_Section_Pro(
			$manager,
			'example_1',
				array(
				'priority'   => 9,
				'title'    => esc_html__( 'Startup Pro', 'multipurpose-startup' ),
				'pro_text' => esc_html__( 'Go Pro', 'multipurpose-startup' ),
				'pro_url'  => esc_url('https://www.themesglance.com/themes/multipurpose-startup-wordpress-theme/')
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'multipurpose-startup-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'multipurpose-startup-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Multipurpose_Startup_Customize::get_instance();